%define anolis_release 2
%global pypi_name ruamel.yaml.clib
%global pname ruamel-yaml-clib
%global hash 85e484db2b7c37107e4edd2ae6fc380877bbc08e

Name:           python-%{pname}
Version:        0.2.6
Release:        %{anolis_release}%{?dist}
Summary:        C version of reader, parser and emitter for ruamel.yaml
License:        MIT
URL:            https://sourceforge.net/projects/%{pname}/
Source0:        https://sourceforge.net/code-snapshots/hg/r/ru/%{pname}/code/%{pname}-code-%{hash}.zip

BuildRequires:  gcc libyaml-devel

%description
C version of reader, parser and emitter for ruamel.yaml derived from libyaml.

%package -n     python%{python3_pkgversion}-%{pname}
Summary:        C version of reader, parser and emitter for ruamel.yaml derived from libyaml

BuildRequires:  python%{python3_pkgversion}-devel python%{python3_pkgversion}-setuptools python%{python3_pkgversion}-Cython
Requires:       python%{python3_pkgversion}-setuptools python%{python3_pkgversion}-ruamel-yaml

%description -n python%{python3_pkgversion}-%{pname}
C version of reader, parser and emitter for ruamel.yaml derived from libyaml.

%prep
%autosetup -n %{pname}-code-%{hash}
rm -v $(grep -rl '/\* Generated by Cython')

%build
mkdir %{pypi_name}
mv *.pyx %{pypi_name}
cythonize -3 %{pypi_name}/*.pyx
mv %{pypi_name}/* .
rmdir %{pypi_name}
%py3_build

%install
%{__python3} setup.py install --skip-build --single-version-externally-managed --root $RPM_BUILD_ROOT

%files -n python%{python3_pkgversion}-%{pname}
%license LICENSE
%doc README.rst
%{python3_sitearch}/_ruamel_yaml.cpython-*
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Mon Apr 10 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 0.2.6-2
- Optimize the spec file

* Tue Jul 12 2022 happy_orange <songnannan@linux.alibaba.com> - 0.2.6-1
- Init pcakage from upstream
